Subject: Re: [PATCH 3/3] fast-import: add 'strip-if-invalid' mode to --signed-commits=<mode>

From: Junio C Hamano <[email-masked]>
Date: Sat, 08 Nov 2025 10:32:55 -0800

Christian Couder <[email-masked]> writes:

>  t/t9305-fast-import-signatures.sh  | 118 ++++++++++++++++++++++++++++-
>  6 files changed, 226 insertions(+), 28 deletions(-)

Unfortunately all these tests that assume that explicit-sha256
repository as a subdirectory exists would fail when the topic is
merged to 'seen' and the tree is built without the optional Rust
support.  This is because brian's f6581e23 (repository: require Rust
support for interoperability, 2025-10-27) changes a couple of tests
to require RUST prerequisite.  One of them is what creates the
explicit-sha256 repository.

I do not think this topic to preserve or strip GPG signatures
particularly cares about the dual hash interoperability, so can you
rearrange the tests in this series to avoid crashing with the other
topic?

Thanks.